<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog;


class TerminVerlaengernDialogUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminVerlaengernDialog\TerminVerlaengernDialogUseCase
{
  use \Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminDialog\TerminHasAccessToKurstag;

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_TN;
  }

  public static function getToolSectionId()
  {
    return 297;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess($pToolSectionId)) {
      return false;
    }
    
    return true;
  }
}